/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import { type PrettyREPLServer } from 'pretty-repl';
export declare class Repl {
    /**
     * The logger used to display logs before REPL session starts.
     */
    private static get log();
    /**
     * Boot the Repl application and session.
     */
    static boot(): Promise<PrettyREPLServer>;
    /**
     * Handle the exit event of REPL session.
     */
    private static handleExit;
    /**
     * Get the REPL prompt.
     */
    private static getPrompt;
    /**
     * Define the .ls command in the session.
     */
    private static defineLsCommand;
    /**
     * Define the .clean command in the session.
     */
    private static defineCleanCommand;
}
